Loading...
Searching...
No Matches
BALL::QSAR::ValidationConfiguration Struct Reference

`#include <BALL/QSAR/configIO.h>`

## Public Member Functions

| ValidationConfiguration ()

## Public Attributes

String | model
String | data
String | validation_data
int | val_type
String | output
int | k_folds
int | bootstrap_samples
int | no_of_permutation_tests
int | statistic
String | statistic_name
vector< String > | external_predictions
bool | for_visualization_only
bool | done

## Detailed Description

Definition at line 102 of file configIO.h.

## Constructor & Destructor Documentation

## ValidationConfiguration()

BALL::QSAR::ValidationConfiguration::ValidationConfiguration | ( |  | ) |

## Member Data Documentation

## bootstrap_samples

int BALL::QSAR::ValidationConfiguration::bootstrap_samples

Definition at line 112 of file configIO.h.

## data

String BALL::QSAR::ValidationConfiguration::data

Definition at line 107 of file configIO.h.

## done

bool BALL::QSAR::ValidationConfiguration::done

Definition at line 118 of file configIO.h.

## external_predictions

vector<String> BALL::QSAR::ValidationConfiguration::external_predictions

Definition at line 116 of file configIO.h.

## for_visualization_only

bool BALL::QSAR::ValidationConfiguration::for_visualization_only

Definition at line 117 of file configIO.h.

## k_folds

int BALL::QSAR::ValidationConfiguration::k_folds

Definition at line 111 of file configIO.h.

## model

String BALL::QSAR::ValidationConfiguration::model

Definition at line 106 of file configIO.h.

## no_of_permutation_tests

int BALL::QSAR::ValidationConfiguration::no_of_permutation_tests

Definition at line 113 of file configIO.h.

## output

String BALL::QSAR::ValidationConfiguration::output

Definition at line 110 of file configIO.h.

## statistic

int BALL::QSAR::ValidationConfiguration::statistic

Definition at line 114 of file configIO.h.

## statistic_name

String BALL::QSAR::ValidationConfiguration::statistic_name

Definition at line 115 of file configIO.h.

## val_type

int BALL::QSAR::ValidationConfiguration::val_type

Definition at line 109 of file configIO.h.

## validation_data

String BALL::QSAR::ValidationConfiguration::validation_data

Definition at line 108 of file configIO.h.